Package fr.gouv.vitam.functional.administration.common.server

# Class ReferentialDocumentValidators

java.lang.Object
fr.gouv.vitam.functional.administration.common.server.ReferentialDocumentValidators

public final class ReferentialDocumentValidators extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ACCESS_CONTRACT_SCHEMA_JSON`
  `static final String`
  `ACCESSION_REGISTER_DETAIL_SCHEMA_JSON`
  `static final String`
  `ACCESSION_REGISTER_SUMMARY_SCHEMA_JSON`
  `static final String`
  `ACCESSION_REGISTER_SYMBOLIC_SCHEMA_JSON`
  `static final String`
  `AGENCIES_SCHEMA_JSON`
  `static final String`
  `ARCHIVE_UNIT_PROFILE_SCHEMA_JSON`
  `static final String`
  `CONTEXT_SCHEMA_JSON`
  `static final String`
  `FILE_FORMAT_SCHEMA_JSON`
  `static final String`
  `FILE_RULES_SCHEMA_JSON`
  `static final String`
  `GRIFFIN_SCHEMA_JSON`
  `static final String`
  `INGEST_CONTRACT_SCHEMA_JSON`
  `static final String`
  `MANAGEMENT_CONTRACT_SCHEMA_JSON`
  `static final String`
  `ONTOLOGY_SCHEMA_JSON`
  `static final String`
  `PRESERVATION_SCENARIO_SCHEMA_JSON`
  `static final String`
  `PROFILE_SCHEMA_JSON`
  `static final String`
  `SCHEMA_SCHEMA_JSON`
  `static final String`
  `SECURITY_PROFILE_SCHEMA_JSON`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReferentialDocumentValidators()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DocumentValidator`
  `getValidator(FunctionalAdminCollections collection)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ACCESS_CONTRACT_SCHEMA_JSON

    public static final String ACCESS_CONTRACT_SCHEMA_JSON
    See Also:
      - Constant Field Values

  - ### ACCESSION_REGISTER_DETAIL_SCHEMA_JSON

    public static final String ACCESSION_REGISTER_DETAIL_SCHEMA_JSON
    See Also:
      - Constant Field Values

  - ### ACCESSION_REGISTER_SUMMARY_SCHEMA_JSON

    public static final String ACCESSION_REGISTER_SUMMARY_SCHEMA_JSON
    See Also:
      - Constant Field Values

  - ### ACCESSION_REGISTER_SYMBOLIC_SCHEMA_JSON

    public static final String ACCESSION_REGISTER_SYMBOLIC_SCHEMA_JSON
    See Also:
      - Constant Field Values

  - ### AGENCIES_SCHEMA_JSON

    public static final String AGENCIES_SCHEMA_JSON
    See Also:
      - Constant Field Values

  - ### ARCHIVE_UNIT_PROFILE_SCHEMA_JSON

    public static final String ARCHIVE_UNIT_PROFILE_SCHEMA_JSON
    See Also:
      - Constant Field Values

  - ### CONTEXT_SCHEMA_JSON

    public static final String CONTEXT_SCHEMA_JSON
    See Also:
      - Constant Field Values

  - ### FILE_FORMAT_SCHEMA_JSON

    public static final String FILE_FORMAT_SCHEMA_JSON
    See Also:
      - Constant Field Values

  - ### FILE_RULES_SCHEMA_JSON

    public static final String FILE_RULES_SCHEMA_JSON
    See Also:
      - Constant Field Values

  - ### INGEST_CONTRACT_SCHEMA_JSON

    public static final String INGEST_CONTRACT_SCHEMA_JSON
    See Also:
      - Constant Field Values

  - ### MANAGEMENT_CONTRACT_SCHEMA_JSON

    public static final String MANAGEMENT_CONTRACT_SCHEMA_JSON
    See Also:
      - Constant Field Values

  - ### PROFILE_SCHEMA_JSON

    public static final String PROFILE_SCHEMA_JSON
    See Also:
      - Constant Field Values

  - ### SECURITY_PROFILE_SCHEMA_JSON

    public static final String SECURITY_PROFILE_SCHEMA_JSON
    See Also:
      - Constant Field Values

  - ### ONTOLOGY_SCHEMA_JSON

    public static final String ONTOLOGY_SCHEMA_JSON
    See Also:
      - Constant Field Values

  - ### GRIFFIN_SCHEMA_JSON

    public static final String GRIFFIN_SCHEMA_JSON
    See Also:
      - Constant Field Values

  - ### PRESERVATION_SCENARIO_SCHEMA_JSON

    public static final String PRESERVATION_SCENARIO_SCHEMA_JSON
    See Also:
      - Constant Field Values

  - ### SCHEMA_SCHEMA_JSON

    public static final String SCHEMA_SCHEMA_JSON
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ReferentialDocumentValidators

    public ReferentialDocumentValidators()

- ## Method Details

  - ### getValidator

    public static DocumentValidator getValidator(FunctionalAdminCollections collection)